# AOData

Abstract PETSc object that manages complex parallel data structures intended to hold grid information, etc

### Synopsis

    typedef struct _p_AOData* AOData;

### See Also

AODataCreateBasic()

Level:advanced
Location:src/dm/ao/../../../include/petscao.h
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/ao/examples/tutorials/ex1.c.html